# Contribution Guidelines

As more people work concurrently on DetTrace, and the project becomes more complicated,
please follow the following guidelines for contributing to DetTrace.

1) Every commit from now on should represent a working, testable, version of DetTrace,
    please squash commits as needed to have every commit represent a logical, working
    state of DetTrace.
2) Please create and add an integration test for any change made made to DetTrace if
    possible. This will avoid future regressions, and ensure your change works.
3) Pushing to master has been disabled for all of us!
    Submit a pull request with your changes. We should
    all do a better job and hold each other accountable for reviews and quick pull
    request merges to keep things moving along.
4) Rebase changes to the latest commit in master (head) before submitting a pull request.
5) Use rebase instead of merge when updating your branch with the latest DetTrace changes.
6) Keep pull request commit numbers short when possible. It is hard/impossible to follow
    pull requests consisting of hundreds of commits!
